%{?nodejs_find_provides_and_requires}

%global packagename split2
%global enable_tests 1

Name:		nodejs-split2
Version:	2.1.1
Release:	1%{?dist}
Summary:	Split a Text Stream into a Line Stream, using Stream 3

License:	ISC
URL:		https://github.com/mcollina/split2
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(through2)
%if 0%{?enable_tests}
BuildRequires:	npm(callback-stream)
BuildRequires:	npm(tap)
%endif

%description
Split a Text Stream into a Line Stream, using Stream 3


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js bench.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap -b test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
